oracle.xdb.event

## Class XDBLink

- java.lang.Object
- - oracle.xdb.event.XDBLink

    public class XDBLink
    extends java.lang.Object

This class stores information about the link of a resource.

Since:
  11.1.0.0.0

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `getChildOID()` Returns the OID of the resource that this link is pointing to.
`java.lang.String` `getLinkName()` Returns the name of this link.
`java.lang.String` `getParentName()` Returns the name of the parent of this link.
`byte[]` `getParentOID()` Returns the OID of the parent of this link.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getParentName

    public java.lang.String getParentName()

Returns the name of the parent of this link.

Returns:
  The name of the parent folder.

#### getParentOID

    public byte[] getParentOID()

Returns the OID of the parent of this link.

Returns:
  The OID of the parent folder

#### getChildOID

    public byte[] getChildOID()

Returns the OID of the resource that this link is pointing to.

Returns:
  The OID of the resource

#### getLinkName

    public java.lang.String getLinkName()

Returns the name of this link.

Returns:
  The name of the link

Copyright © 2003, 2017, Oracle and/or its affiliates. All rights reserved.